Subject: Re: [PATCH 2/2] drivers/ata: export some static functions in libata-core.c

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 12 Jan 2007 08:37:12 +1100

On Thu, 2007-01-11 at 18:30 +0900, Akira Iguchi wrote:
> Hi, Arnd-san.
> 
> Thank you for checking our patches.
> 
> >On Thursday 11 January 2007 09:56, Akira Iguchi wrote:
> >> This patch modifies some static functions in libata-core.c
> >> and libata.h to use them in ata_scc.c.
> >
> >Exporting new symbols needs some explanation here about why they
> >should now be global for ata_scc while the existing drivers
> >did not need them. Since the patch otherwise only moves stuff
> >around as needed, I assume it's good.
> 
> I thought it was better to use common functions as far as possible.
> But if it is preferable to copy them in ata_scc.c, I will do so.

Nah, it's not preferable. I think what is preferable on the contrary is
to make even more common function generic enough so you can use them
instead of copying them.

Ben.